package eu.xeppaka.scalalearn

import akka.actor.Actor
import eu.xeppaka.scalalearn.CardCacheActor.{CacheCard, CacheSuccess}

object CardCacheActor {
  case class CacheCard(idCard: String)
  case object CacheSuccess
}

class CardCacheActor extends Actor {
  override def receive: Receive = {
    case CacheCard(idCard) =>
      println("cache card")
      sender() ! CacheSuccess
    case _ =>
      println("error!")
  }
}
